<?php

defined('_JEXEC') or die;

/**
 * @package     ${NAMESPACE}
 * @subpackage
 *
 * @copyright   A copyright
 * @license     A "Slug" license name e.g. GPL2
 */
class CustomGithubProvider extends \League\OAuth2\Client\Provider\Github
{
	/**
	 * Get primary email address
	 *
	 * @param \League\OAuth2\Client\Token\AccessToken $token
	 *
	 * @return null|string
	 */
	public function getEmail(\League\OAuth2\Client\Token\AccessToken $token)
	{
		$emailResponse = $this->getResponse($this->getAuthenticatedRequest('GET', $this->getResourceOwnerEmailUrl(), $token));
		$emailAddress  = null;

		foreach ($emailResponse as $email)
		{
			if ($email['primary'])
			{
				$emailAddress = $email['email'];
			}
		}

		return $emailAddress;
	}

	/**
	 * Get Email API URL
	 *
	 * @return string
	 */
	protected function getResourceOwnerEmailUrl()
	{
		if ($this->domain === 'https://github.com')
		{
			return $this->apiDomain . '/user/emails';
		}

		return $this->domain . '/api/v3/user/emails';
	}


}